Curtin Fails to Validate Storage Config with Samsung EVO 960

Bug #1840524 reported by Reed Slaby on 2019-08-17
46
This bug affects 7 people
Affects Status Importance Assigned to Milestone
curtin (Ubuntu)
Undecided
Reed Slaby

Bug Description

I encountered an error while attempting to install Ubuntu Server 18.04.3 LTS on a Samsung EVO 960 M.2 NVMe drive.

Hardware is:
Asus P10S-M WS
Celeron G3930
Samsung EVO 960 NVMe

In short, the error is:
curtin:1156 Validation error: 'eui.0025385b71b1313e' is not valid under any of the given schemas in
{
 "id": "disk-nvme0n1",
 "path": "/dev/nvme0n1",
 "serial": "Samsung SSD 960 EVO 250GB_S3ESNX0JB35041V",
 "type": "disk",
 "wwn": "eui.0025385b71b1313e"
}
NoneType: None

I'm not sure what a valid configuration should look like, but the rest of the traceback is in the attached logs.

I tried updating UEFI to the latest version, and disabling CSM as suggested by some similar tickets. However, I have not had any luck.

This hardware combination previously had Proxmox installed on it without issue, so I know that Ubuntu-based distributions can be booted on this system.

Related branches

Reed Slaby (techreed) wrote :
Reed Slaby (techreed) wrote :
Reed Slaby (techreed) wrote :

Adding probe data.

I see an error is generated by probert before getting to curtin, so I'm linking this to probert also.

Reed Slaby (techreed) wrote :

A wwn value of eui.0025385b71b1313e doesn't match either of the patterns defined in curtin/block/schemas.py

no longer affects: probert (Ubuntu)
Changed in curtin (Ubuntu):
status: New → In Progress
assignee: nobody → Reed Slaby (techreed)

This bug is fixed with commit d0a37211 to curtin on branch master.
To view that commit see the following URL:
https://git.launchpad.net/curtin/commit/?id=d0a37211

Data Slanger (dataslanger) wrote :

This bug is happening to me right now, with the 18 LTS ISO server install disc I downloaded earlier today - the same day you patched it!

However, beyond the error we both received, I had received another Python exception that wasn't caught (see below):

======================================================

2019-08-25 07:18:55,776 curtin:1156 Validation error: 'eui.0025385391b22cde' is not valid under any of the given schemas in
{
 "id": "disk-nvme0n1",
 "path": "/dev/nvme0n1",
 "ptable": "dos",
 "serial": "Samsung SSD 970 PRO 512GB_S463NF0M302228R",
 "type": "disk",
 "wwn": "eui.0025385391b22cde"
}
NoneType: None
2019-08-25 07:18:55,776 curtin:1156 Validation error: 'eui.002538519151c016' is not valid under any of the given schemas in
{
 "id": "disk-nvme1n1",
 "path": "/dev/nvme1n1",
 "ptable": "dos",
 "serial": "Samsung SSD 970 EVO Plus 250GB_S4P3NG0M109032A",
 "type": "disk",
 "wwn": "eui.002538519151c016"
}
NoneType: None
2019-08-25 07:18:55,776 block-discover:99 probing failed restricted=False

======================================================

Certainly there are many other uncaught exceptions in this code base as well, as I stumbled across the two of them on my first install on this server.

Regards,

d.s.

gvzdn (neskovic) wrote :

Encountered the same problem with 960 PRO.
As a workaround, you can use mini.iso network installer to install 18.04 LTS until this is fixed.

Reed Slaby (techreed) on 2019-08-26
Changed in curtin (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 19.2-9-g38ce22b0-0ubuntu1

---------------
curtin (19.2-9-g38ce22b0-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: fix typo in EoanBcacheBasic test name
    - storage schema: Update nvme wwn regex to allow for nvme wwid format
      (LP: #1841321)
    - Allow EUI-64 formatted WWNs for disks and accept NVMe partition naming
      [Reed Slaby] (LP: #1840524)

 -- Ryan Harper <email address hidden> Wed, 28 Aug 2019 11:40:32 -0500

Changed in curtin (Ubuntu):
status: Fix Committed → Fix Released
K1LLUM1N471 (killuminati) wrote :

Hello,

I've got the same problem here.

Hardware: SUPERMICRO X11DPG-OT-CPU
SSH: Intel SSD DC P4610 Series SSDPE2KE032T8
Ubuntu Server 18.04.3 (Daily Build: 2019-10-16 08:22)

curtin:1156 Validation error: 'eui.01000000010000005cd2e4b23a125151' is not valid under any of the given schemas in
{
 "id": "disk-nvme0n1",
 "path": "/dev/nvme0n1",
 "ptable": "gpt",
 "serial": "INTEL SSDPE2KE032T8_PHLN935200U83P2BGN",
 "type": "disk",
 "wwn": "eui.01000000010000005cd2e4b23a125151"
}
NoneType: None

Kind regards,
K1llum1n471

Ryan Harper (raharper) wrote :

Thanks for reporting your issue. This issue has been fixed, you can test the edge version of subiquity to confirm:

https://discourse.ubuntu.com/t/how-to-test-the-latest-version-of-subiquity/12428

K1LLUM1N471 (killuminati) wrote :

Thank you! After doing the trick with the update the installation stops after the "Filesystem setup" with "An error occurred during installation".

curtin command install
  preparing for installation
  configuring storage
    running 'curtin block-meta simple'
      curtin command block-meta
        removing previous storage devices
        configuring disk: disk-nvme0n1

Kind regards,
K1llum1n471

K1LLUM1N471 (killuminati) wrote :

I just tried to install Ubuntu 19.10 (eoan-desktop-amd64.iso). The installation went through and everything worked just fine.

With Ubuntu Server 19.10 (ubuntu-19.10-live-server-amd64.iso) the error "An error occurred during installation" still appears.

So is it a Server Edition problem?

Kind regards,
K1llum1n471

Ryan Harper (raharper) wrote :

That looks like a different bug, but still a bug. I've opened a new bug to track this issue.

https://bugs.launchpad.net/ubuntu/+source/subiquity/+bug/1849322

Rudi Servo (rudiservo) wrote :

Same on Sabrent NVME with 18.04.3
eui.6479a726f1433339

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers